Bug 266216 - Add NativeImageBackend to support GPUP NativeImage
Summary: Add NativeImageBackend to support GPUP NativeImage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: Safari 16
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on:
Blocks: 266215
  Show dependency treegraph
 
Reported: 2023-12-11 04:54 PST by Kimmo Kinnunen
Modified: 2023-12-19 06:54 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2023-12-11 04:54:59 PST
Add NativeImageBackend to support GPUP NativeImage
Comment 1 Radar WebKit Bug Importer 2023-12-11 04:55:06 PST
<rdar://problem/119489321>
Comment 2 Kimmo Kinnunen 2023-12-11 04:59:20 PST
Pull request: https://github.com/WebKit/WebKit/pull/21629
Comment 3 EWS 2023-12-15 00:56:22 PST
Committed 272103@main (aaab202e6d11): <https://commits.webkit.org/272103@main>

Reviewed commits have been landed. Closing PR #21629 and removing active labels.
Comment 4 Tim Horton 2023-12-15 14:58:41 PST
Reopening due to pending revert.
Comment 5 Kimmo Kinnunen 2023-12-18 02:07:59 PST
Pull request: https://github.com/WebKit/WebKit/pull/21955
Comment 6 EWS 2023-12-19 06:54:36 PST
Committed 272266@main (7412c32e31ca): <https://commits.webkit.org/272266@main>

Reviewed commits have been landed. Closing PR #21955 and removing active labels.